org.apache.olingo.odata2.api.ep

## Class EntityProviderReadProperties.EntityProviderReadPropertiesBuilder

- java.lang.Object
- - org.apache.olingo.odata2.api.ep.EntityProviderReadProperties.EntityProviderReadPropertiesBuilder

- Enclosing class:
    EntityProviderReadProperties

      public static class EntityProviderReadProperties.EntityProviderReadPropertiesBuilder
      extends Object

  Builder for `EntityProviderReadProperties`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityProviderReadPropertiesBuilder()`
    `EntityProviderReadPropertiesBuilder(EntityProviderReadProperties propertiesFrom)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityProviderReadProperties.EntityProviderReadPropertiesBuilder` | `addTypeMappings(Map<String,Object> typeMappings)`
    `EntityProviderReadProperties.EntityProviderReadPropertiesBuilder` | `addValidatedPrefixes(Map<String,String> prefix2NamespaceUri)`
    `EntityProviderReadProperties` | `build()`
    `EntityProviderReadProperties.EntityProviderReadPropertiesBuilder` | `callback(OnReadInlineContent callback)`
    `EntityProviderReadProperties.EntityProviderReadPropertiesBuilder` | `isValidatingFacets(boolean validatingFacets)`
    `EntityProviderReadProperties.EntityProviderReadPropertiesBuilder` | `mergeSemantic(boolean mergeSemantic)` Sets the merge semantics.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityProviderReadPropertiesBuilder

          public EntityProviderReadPropertiesBuilder()

    - #### EntityProviderReadPropertiesBuilder

          public EntityProviderReadPropertiesBuilder(EntityProviderReadProperties propertiesFrom)

  - ### Method Detail

    - #### mergeSemantic

          public EntityProviderReadProperties.EntityProviderReadPropertiesBuilder mergeSemantic(boolean mergeSemantic)

      Sets the merge semantics.
      Parameters:
        `mergeSemantic` - whether merge semantics is requested
      See Also:
        `EntityProviderReadProperties.getMergeSemantic()`

    - #### callback

          public EntityProviderReadProperties.EntityProviderReadPropertiesBuilder callback(OnReadInlineContent callback)

    - #### addValidatedPrefixes

          public EntityProviderReadProperties.EntityProviderReadPropertiesBuilder addValidatedPrefixes(Map<String,String> prefix2NamespaceUri)

    - #### addTypeMappings

          public EntityProviderReadProperties.EntityProviderReadPropertiesBuilder addTypeMappings(Map<String,Object> typeMappings)

    - #### isValidatingFacets

          public EntityProviderReadProperties.EntityProviderReadPropertiesBuilder isValidatingFacets(boolean validatingFacets)

    - #### build

          public EntityProviderReadProperties build()

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.